.ri-dialog-default .mat-dialog-container,
.ccr-mat-dialog-container .mat-dialog-container {
  background: linear-gradient(0deg, $white-lightest 30%, $bluewarmvividfade-lighter 100%);
  color: $bluewarm-darkest;
}

.mat-dialog-container {

  /** reset mat-dialog **/
  padding: 0 !important;
  overflow: hidden !important;
  border-radius: 5px;
  min-width: 25vw;

  /* In order to consistently have a scroll bar in a dialog component,
   * the dialog container should inherit the height of the overlay */
  height: inherit !important;

  font-family: hci-font;

  .mat-dialog-title {
    margin-bottom: 0;
  }

  .mat-dialog-content {
    margin-right: 0;
    margin-left: 0;
    max-height: revert;
  }

  .mat-dialog-actions {
    min-height: revert;
    margin-bottom: 0;
    box-sizing: inherit;
  }
}

.mat-dialog-container .mat-dialog-title,
.ri-modal-header,
.ri-confirm-header {
  display: flex;
  align-items: center;
  font-size: 1.3rem;
  font-weight: 600;
  color: $grey-darkest;
  padding: .5rem 1rem;
}

.mat-dialog-container .mat-dialog-content,
.ri-modal-body,
.ri-confirm-body {
  padding: 0 .5rem;
  overflow: auto;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  min-width: 25vw;
}

.mat-dialog-container .mat-dialog-actions,
.ri-modal-footer,
.modal-window-button-row,
.ri-confirm-footer {
  display:flex;
  align-items: center;
  justify-content: flex-end;
  gap: .5rem;
  width: 100%;
  padding: .5rem;
}

.mat-dialog-container .mat-expansion-panel,
.mat-dialog-container .mat-expansion-panel-header-title {
  color: inherit;
}
